libslang2_2.3.0-2_amd64.deb


Advertisement

Description

libslang2 - S-Lang programming library - runtime version

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libslang2
Package version 2.3.0
Package release 2
Package architecture amd64
Package type deb
Installed size 1.51 KB
Download size 479.74 KB
Official Mirror ftp.br.debian.org
S-Lang is a C programmer's library that includes routines for the rapid
development of sophisticated, user friendly, multi-platform applications.
This package contains only the shared library libslang.so.* and copyright
information. It is only necessary for programs that use this library (such
as jed and slrn). If you plan on doing development with S-Lang, you will
need the companion -dev package as well.

Alternatives

Package Version Architecture Repository
libslang2_2.3.0-2_i386.deb 2.3.0 i386 Debian Main
libslang2 - - -

Requires

Name Value
libc6 >= 2.14
multiarch-support -

Download

Type URL
Binary Package libslang2_2.3.0-2_amd64.deb
Source Package slang2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libslang2 deb package:
    # sudo apt-get install libslang2

Files

Path
/lib/x86_64-linux-gnu/libslang.so.2
/lib/x86_64-linux-gnu/libslang.so.2.3.0
/usr/share/doc/libslang2/NEWS.gz
/usr/share/doc/libslang2/README
/usr/share/doc/libslang2/changelog.Debian.gz
/usr/share/doc/libslang2/changelog.gz
/usr/share/doc/libslang2/copyright
/usr/share/doc/libslang2/slang.txt.gz
/usr/share/doc/libslang2/slangfun.txt.gz

Changelog

2014-10-24 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.3.0-2) unstable; urgency=medium
* Patch from John Davis to fix segfault in slang/jed.
2014-09-22 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.3.0-1) unstable; urgency=medium
* New upstream release.
- Merged hurd-wcontinued.patch
- Patch for new-glibc needed for sockets, to uncover strtoll(), atoll() 
* Now incorporates and obsoletes slang-histogram.
* Remove obsolete Conflicts/Breaks statements from debian/control.
* Now at Standards-Version: 3.9.6
2014-06-19 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.2.4-17) unstable; urgency=medium
* Rebuild with unicode update for 7.0. Now  Build-Depend and use
packaged unicode-data, so new updates can just binNMU.
2013-12-07 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.2.4-16) unstable; urgency=medium
* Standards-Version: 3.9.5
* Fix typos. Thanks to Jakub Wilk. Closes: #731126.
* Typo in DPKG_EXPORT_BUILDFLAGS. Closes: #680998.
* Fix FTBFS when DSO linking, thanks to Eleanor Chen. Closes: #719902.
* Fix typo in Description; thanks Lintian.
* Change Priority for libslang2 from required to important to match overrides.
2012-06-30 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.2.4-15) unstable; urgency=low
* Disable the die-on-testfailure patch: the failures are not regressions.
Ship slang2 as-was for wheezy, rather than go look for trouble.
2012-06-30 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.2.4-14) unstable; urgency=low
* Add "-O0" to build options to avoid tickling a bug somewhere in libslang;
probably with uninitized memory. Closes: #675125.
* Add patch to ensure test failures cause automated testing to fail on 
Debian and catch this sort of thing. 
2012-06-08 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.2.4-13) unstable; urgency=low
* Re-insert CFLAGS that may not be obsolete ... 
2012-05-28 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.2.4-12) unstable; urgency=low
* Don't ship pre-built config.h in examples directory : it makes the -dev
package arch-dependent. Closes: #674495. 
2012-05-16 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.2.4-11) unstable; urgency=low
[ Dmitry Smirnov ]
* added VCS links
* dropped obsolete CFLAGS
* debian/control: Conflicts replaced with Breaks (lintianisation)
* Debian source package compression to '.xz'
2012-04-30 - Alastair McKinstry <mckinstry@debian.org>
slang2 (2.2.4-10) unstable; urgency=low
[ Dmitry Smirnov ]
* debhelper & compat to version 9
use default hardening (Closes: #656128).
* debian/watch is fixed and improved.
* removed:
- unused lintian-overrides.
- postinst and postrm scripts (obsolete).
- shlibs.local (obsolete).
- obsolete .dirs files.
- install_prefix.patch (unused).
- debian/README file with upload instructions.
* no longer install upstream UPGRADE.txt file with instructions
how to upgrade from slang v1.
* no longer install upstream README files with hints about
location of documentation files in upstream source tree.
* added doc-base registration for slsh html documentation.
* added libslang2.symbols file.
* added debian/clean file to remove auto-generated files.
* use autoconf to re-generate configure script.
* docs and examples separated from debhelper .install files
* debian/copyright:
+ converted to copyright-format 1.0
+ updated debian contributors copyrights
+ corrected upstream license
* debian/control:
+ added Homepage field to debian/control.
+ dropped conflict with obsolete slang0.99.34-dev
+ adding myself as Uploader.
+ minor lintianisation:
* libslang2-modules long description is updated.
* XC-Package-Type --> Package-Type.
* dropped redundant "Priority: optional"
* install compressed slangfun.txt doc file.

See Also

Package Description
libslepc3.4.2-dev_3.4.2.dfsg-2+b1_amd64.deb Scalable Library for Eigenvalue Problem Computations
libslepc3.4.2_3.4.2.dfsg-2+b1_amd64.deb Scalable Library for Eigenvalue Problem Computations
libslf4j-java_1.7.7-1_all.deb Simple Logging Facade for Java
libslice35_3.5.1-6+b3_amd64.deb Ice for C++ Slice parser library
libslicot-dev_5.0+20101122-2_amd64.deb numerical algorithms from systems and control theory (static library)
libslicot-doc_5.0+20101122-2_all.deb numerical algorithms from systems and control theory (documentation)
libslicot-pic_5.0+20101122-2_amd64.deb numerical algorithms from systems and control theory (static PIC library)
libslicot0_5.0+20101122-2_amd64.deb numerical algorithms from systems and control theory (shared library)
libslingshot-clojure_0.10.3-3_all.deb Enhanced throw and catch library for Clojure
libslp-dev_1.2.1-10+deb8u1_amd64.deb OpenSLP development files
libslp1_1.2.1-10+deb8u1_amd64.deb OpenSLP shared library
libslurm-dev_14.03.9-5+deb8u2_amd64.deb SLURM development files
libslurm-perl_14.03.9-5+deb8u2_amd64.deb Perl API for SLURM
libslurm27_14.03.9-5+deb8u2_amd64.deb Runtime library files for SLURM
libslurmdb-dev_14.03.9-5+deb8u2_amd64.deb SLURM DataBase Daemon development files
Advertisement
Advertisement